SelectExpression (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface SelectExpression

All Known Subinterfaces:
  AggregatedSelectExpression

All Known Implementing Classes:
  AbstractMapComponentNode, AbstractSelectExpression, AggregateNode, BinaryArithmeticOperatorNode, BooleanLiteralNode, Case2Node, CaseNode, CollectionFunction, ConstructorNode, CountNode, DotNode, FromReferenceNode, IdentNode, IndexNode, LiteralNode, MapEntryNode, MapKeyNode, MapValueNode, MethodNode, QueryNode, SelectExpressionImpl, UnaryArithmeticNode

    public interface SelectExpression

Represents an element of a projection list, i.e. a select expression.

Method Summary
`String` | `getAlias()`
`Type` | `getDataType()` Returns the data type of the select expression.
`FromElement` | `getFromElement()` Returns the FROM element that this expression refers to.
`int` | `getScalarColumnIndex()` Gets index of the select expression in the projection list.
`boolean` | `isConstructor()` Returns true if the element is a constructor (e.g.
`boolean` | `isReturnableEntity()` Returns true if this select expression represents an entity that can be returned.
`boolean` | `isScalar()`
`void` | `setAlias(String alias)`
`void` | `setScalarColumn(int i)` Sets the index and text for select expression in the projection list.
`void` | `setScalarColumnText(int i)` Appends AST nodes that represent the columns after the current AST node.
`void` | `setText(String text)` Sets the text of the node.

Method Detail

### getDataType

    Type getDataType()

  Returns the data type of the select expression.

  Returns:
    The data type of the select expression.

### setScalarColumnText

    void setScalarColumnText(int i)
                             throws antlr.SemanticException

  Appends AST nodes that represent the columns after the current AST node. (e.g. 'as col0_O_')

  Parameters:
    `i` - The index of the select expression in the projection list.
  Throws:
    `antlr.SemanticException` - if a semantic error occurs

### setScalarColumn

    void setScalarColumn(int i)
                         throws antlr.SemanticException

  Sets the index and text for select expression in the projection list.

  Parameters:
    `i` - The index of the select expression in the projection list.
  Throws:
    `antlr.SemanticException` - if a semantic error occurs

### getScalarColumnIndex

    int getScalarColumnIndex()

  Gets index of the select expression in the projection list.

  Returns:
    The index of the select expression in the projection list.

### getFromElement

    FromElement getFromElement()

  Returns the FROM element that this expression refers to.

  Returns:
    The FROM element.

### isConstructor

    boolean isConstructor()

  Returns true if the element is a constructor (e.g. new Foo).

  Returns:
    true if the element is a constructor (e.g. new Foo).

### isReturnableEntity

    boolean isReturnableEntity()
                               throws antlr.SemanticException

  Returns true if this select expression represents an entity that can be returned.

  Returns:
    true if this select expression represents an entity that can be returned.
  Throws:
    `antlr.SemanticException` - if a semantic error occurs

### setText

    void setText(String text)

  Sets the text of the node.

  Parameters:
    `text` - the new node text.

### isScalar

    boolean isScalar()
                     throws antlr.SemanticException

  Throws:
    `antlr.SemanticException`

### setAlias

    void setAlias(String alias)

### getAlias

    String getAlias()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.